## jzip 202b19981014

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,8 @@
 #                         |       |  -DNO_BCOPY     |             |
 #                         |       |  -DHAVE_GETOPT  |             |
 #    NeXT / Mach          |  cc   |  -c -DBSD       |  -ltermcap  |    
+#    BSDI                 |  cc   |  -c -DBSD       |  -ltermcap  |    
+#                         |       |  -DHAVE_GETOPT  |             |
 #    Alpha / OSF/1        |  cc   |  -c -DPOSIX     |  -lcurses   |
 #    HP9000 / HP-UX       |  gcc  |  -c -DPOSIX     |  -ltermcap  |
 #    HP9000 / HP-UX >10.x |  cc   |  -c -DPOSIX     |  -ltermcap  |
@@ -33,9 +35,10 @@
 CC = cc
 
 # If your compiler doesn't like this, put -O or nothing.
-OPTIMIZE = -O2 
-#OPTIMIZE = 
-#OPTIMIZE = -pg -ansi -pedantic
+#OPTIMIZE = -O2 
+# If you feel like changing code and wanna debug, use this one:
+#OPTIMIZE = -g  -ansi -pedantic
+OPTIMIZE =
 
 CFLAGS = $(OPTIMIZE) -DPOSIX -DHAVE_GETOPT -DHARD_COLORS
