## jzip 210r20001005d

=== debian/changelog ===
jzip (210r20001005d-6) unstable; urgency=medium

  * Add patch for FTBFS w/GCC-15 (Closes: #1096882)
  * Bump Standards-Version to 4.7.2

 -- tony mancill <tmancill@debian.org>  Sun, 07 Sep 2025 16:59:01 -0700

jzip (210r20001005d-5) unstable; urgency=medium

  * Team upload of Debian team

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dpkg's buildtools.mk supply CC. (Closes: #928466)

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * d/rules: Do not parse d/changelog
  * Do not parse d/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Replace dependency on transitional package libncurses5-dev
      with replacement libtinfo6, libncurses-dev.
  * Add fake watch file to document that upstream has stopped development

 -- Andreas Tille <tille@debian.org>  Tue, 17 Dec 2024 08:29:07 +0100

jzip (210r20001005d-4) unstable; urgency=low

  * Update Description to list other Z-Code interpreters.
  * Add support to launch jzip from X.
    - Thank you to Stephen Kitt for the patch. (Closes: #811208)
  * Add binary-typo patch.
  * Update Standards-Version to 3.9.6.

 -- tony mancill <tmancill@debian.org>  Mon, 18 Jan 2016 21:31:34 -0800

jzip (210r20001005d-3) unstable; urgency=low

  * New maintainer. (Closes: #487961)
  * Rework debian/rules for dh and to pass LDFLAGS.
  * Update Standards-Version to 3.9.4.
  * Add Vcs- fields; packaging repo is now collab-maint.

 -- tony mancill <tmancill@debian.org>  Sat, 17 Aug 2013 13:00:08 -0700

jzip (210r20001005d-2) unstable; urgency=low

  * Adapt to zlib gzFile changes. (Closes: #664931)

 -- Niko Tyni <ntyni@debian.org>  Sun, 25 Mar 2012 22:42:35 +0300

jzip (210r20001005d-1) unstable; urgency=low

  * Switch to the new source package format 3.0 (quilt).
    + no longer package the upstream zip file in the orig.tar.gz.
      (Closes: #485171)
    + needs an incremented upstream version
    + use bzip2 as the compression method
    + remove the now unnecessary quilt dependency
  * Upgrade to Standards-Version 3.8.3.
    + support DEB_BUILD_OPTIONS=parallel=x.
  * Upgrade to debhelper compatibility level 7.

 -- Niko Tyni <ntyni@debian.org>  Sun, 08 Nov 2009 00:12:31 +0200

jzip (210r20001005-2) unstable; urgency=low

  * Change the maintainer email address.
  * Update inter-target dependencies in debian/rules for parallel builds.
  * debian/patches/ckifzs-output: add a missing newline in the output.
    Thanks to Drake Wilson for the patch.(Closes: #454480)
  * Mention ckifzs and jzexe in the package long description.
    Thanks again to Drake Wilson. (Closes: #454481)
  * Upgrade to Standards-Version 3.7.3. No changes needed.
  * Add the Homepage field in debian/control.

 -- Niko Tyni <ntyni@debian.org>  Sat, 08 Dec 2007 21:21:26 +0200

jzip (210r20001005-1) unstable; urgency=low

  * "New" upstream version.
  * Acknowledge NMU. (Closes: #359433)
    + debian/postinst: remove the /usr/doc/jzip symlink deletion code,
      as that was already properly in the 202b19981014-3.1 prerm.
  * New maintainer. (Closes: #377871)
  * Repackage upstream source, as it's only available in zip format.
    + Add README.Debian-source documenting the repackaging.
    + Add unzip to Build-Depends.
  * Use quilt for patch management.
  * Rewrite debian/rules.
  * Upgrade to debhelper compatibility level 5.
  * Add zlib1g-dev to Build-Depends.
  * Update debian/copyright.
  * debian/patches:
    + standalone-unsigned-char:
      make standalone games work by fixing erroneous offset calculation.
    + if-archive: make URLs point to the correct IF-archive location.
  * Remove uninformative README.Debian.

 -- Niko Tyni <ntyni@iki.fi>  Thu, 27 Jul 2006 21:23:00 +0300

jzip (202b19981014-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link in postinst (Closes: #359433).
  * Revamped packaging a bit

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sun, 16 Jul 2006 21:51:27 +0200

jzip (202b19981014-3.1) unstable; urgency=low

  * Added libncurses5-dev to build-depends (Closes: #122483)

 -- Michael Stroucken (Debian Development) <stroucki@debian.org>  Wed,  5 Dec 2001 12:22:10 -0500

jzip (202b19981014-3) unstable; urgency=low

  * Missed reference to jzip.exe, changed to jzip (Closes: #118753)
  * assorted cleanups
  * went to standards 3.5.6.0

 -- Michael Stroucken (Debian Development) <stroucki@debian.org>  Thu, 29 Nov 2001 02:32:27 -0500

jzip (202b19981014-2.1) frozen unstable; urgency=low

  * made available to potato again

 -- Michael Stroucken (Debian Development) <stroucki@debian.org>  Thu, 20 Apr 2000 01:45:42 -0400

jzip (202b19981014-2) unstable; urgency=low

  * went to standards 3.0.1
  * changed man page path from /usr/man to /usr/share/man (Thx to Jeff Licquia + Matej Vela)

 -- Michael Stroucken (Debian Development) <stroucki@debian.org>  Tue, 18 Apr 2000 02:55:00 -0400

jzip (202b19981014-1) unstable; urgency=low

  * New upstream version

 -- Michael Stroucken (Debian Development) <stroucki@debian.org>  Fri, 14 Jan 2000 04:03:00 -0500

jzip (202b19980527-2) unstable; urgency=low

  * Changed version number
  * Recompiled to use libncurses5

 -- Michael Stroucken (Debian Development) <stroucki@debian.org>  Tue, 11 Jan 2000 02:17:43 -0500

jzip (202b982705-1) unstable; urgency=low

  * Initial Release.

 -- Michael Stroucken <stroucki@debian.org>  Sun, 22 Aug 1999 13:17:43 -0400

Local variables:
mode: debian-changelog
End:
