=== debian/control ===
Source: jzip
Section: games
Priority: optional
Maintainer: tony mancill <tmancill@debian.org>
Build-Depends: debhelper-compat (= 13),
               libtinfo6,
               libncurses-dev,
               zlib1g-dev
Standards-Version: 4.7.2
Homepage: http://jzip.sourceforge.net/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/jzip
Vcs-Git: https://salsa.debian.org/debian/jzip.git

Package: jzip
Architecture: any
Provides: zcode-interpreter
Suggests: zcode-game
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Text mode interpreter for Z-Code adventures
 This package provides the jzip Z-Code interpreter required to run
 Infocom or Inform-generated text adventures, although the format can
 be used for more than games. It is based on the zip interpreter sources
 and adapted by John D. Holder <jholder@frii.com>.
 .
 The ckifzs program, for checking the basic structure of save files
 against the QUETZAL standard, is also included, as is the jzexe
 program to create a standalone executable by gluing a Z-code file to
 jzip.
 .
 For other Z-Code interpreters, also see the frotz, xzip, fizmo, and
 gargoyle-free packages in Debian.  The current list of interpreters
 available within Debian can be viewed here:
 .
 http://packages.debian.org/stable/zcode-interpreter
