=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_clean:
	$(MAKE) -f unixio.mak realclean
	dh_clean

override_dh_auto_build:
	$(MAKE) -f unixio.mak CC=$(CC) OPTIMIZE="$(CFLAGS) $(LDFLAGS)"

override_dh_auto_install:
	install -m 755 jzip debian/jzip/usr/games
	install -m 755 jzexe debian/jzip/usr/games
	install -m 755 ckifzs debian/jzip/usr/games
	dh_install

#
# get-orig-source
# for manual invocation only.
#

include /usr/share/dpkg/default.mk
UPSTREAM = jzip21-10oct2000.zip
ORIGDIR = jzip-$(DEB_VERSION_UPSTREAM).orig
ORIGURL = http://ifarchive.heanet.ie/if-archive/infocom/interpreters/zip/$(UPSTREAM)

get-orig-source:
	fakeroot sh -c ' \
	mkdir $(ORIGDIR) && \
	wget -O $(UPSTREAM) $(ORIGURL) && \
	cd $(ORIGDIR) && unzip ../$(UPSTREAM) && cd .. && \
	touch -r $(UPSTREAM) $(ORIGDIR) && \
	$(RM) $(UPSTREAM) && \
	BZIP2=-9 tar jcf `echo $(ORIGDIR)|sed s/-/_/`.tar.bz2 $(ORIGDIR) && \
	$(RM) -r $(ORIGDIR)'

.PHONY: get-orig-source
