=== debian/watch ===
version=4

# Upstream has stopped development at https://sourceforge.net/projects/jzip/files/latest/download
opts=dversionmangle=s/.*/0.No-Release/ \
 https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz
